# Contacten

> Bekijk en werk contactgegevens bij

- Pagina: https://tbit.app/nl/docs/api/contacts
- Basis-URL: `https://rest-api.tbit.app/v1`
- Authenticatie: header `X-API-Key` met je sleutel bij elk verzoek (de voorbeelden lezen hem uit de omgevingsvariabele `TBIT_API_KEY`)

## Overzicht

Contacten zijn de mensen die met je agent praten via kanalen als WhatsApp, Instagram en e-mail. Elk contact heeft een profiel met naam, kanaal-ID's en optionele metadata.

## Endpoints

| Methode | Pad | Beschrijving |
| --- | --- | --- |
| `GET` | `/v1/contacts` | Contacten opvragen |
| `GET` | `/v1/contacts/:id` | Details van een contact |
| `POST` | `/v1/contacts` | Nieuw contact maken |
| `PATCH` | `/v1/contacts/:id` | Contact bijwerken |

## Queryparameters

Het lijst-endpoint ondersteunt deze queryparameters:

| Parameter | Type | Beschrijving |
| --- | --- | --- |
| `limit` | `number` | Resultaten per pagina (standaard: 20, max: 100) |
| `offset` | `number` | Aantal resultaten om over te slaan (standaard: 0) |

## Contacten opvragen

`GET /v1/contacts`

```bash
curl "https://rest-api.tbit.app/v1/contacts?limit=20&offset=0" \
  -H "X-API-Key: $TBIT_API_KEY"
```

## Details van een contact opvragen

`GET /v1/contacts/64f1a2b3c4d5e6f7a8b9c0d1`

```bash
curl "https://rest-api.tbit.app/v1/contacts/64f1a2b3c4d5e6f7a8b9c0d1" \
  -H "X-API-Key: $TBIT_API_KEY"
```

## Contact bijwerken

`PATCH /v1/contacts/64f1a2b3c4d5e6f7a8b9c0d1`

```bash
curl -X PATCH "https://rest-api.tbit.app/v1/contacts/64f1a2b3c4d5e6f7a8b9c0d1" \
  -H "X-API-Key: $TBIT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "profile_name": "Jane Doe",
    "email": "jane@example.com",
    "notes": "Preferred language: English"
  }'
```

## Contact maken

`POST /v1/contacts`

```bash
curl -X POST "https://rest-api.tbit.app/v1/contacts" \
  -H "X-API-Key: $TBIT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "channel_id": "573009876543",
    "channel_type": "whatsapp",
    "profile_name": "Jane Doe",
    "custom_attributes": {
      "city": "Bogota",
      "plan": "premium"
    }
  }'
```

## Responseformaat

Lijst-endpoints geven gepagineerde resultaten terug:

```json
{
  "data": [
    {
      "id": "64f1a2b3c4d5e6f7a8b9c0d1",
      "profile_name": "Jane Doe",
      "email": "jane@example.com",
      "notes": "Preferred language: English",
      "channels": [
        {
          "channel_id": "573001234567",
          "channel_type": "whatsapp"
        }
      ],
      "custom_attributes": {
        "city": "Bogota",
        "plan": "premium"
      },
      "created_at": "2024-09-01T12:00:00Z",
      "updated_at": "2024-09-01T14:30:00Z"
    }
  ],
  "pagination": {
    "total": 50,
    "limit": 20,
    "offset": 0,
    "has_more": true
  }
}
```
